#
# msvcconfig.tcl,v 1.1 2002/04/27 03:22:20 joe Exp
#

# Figure out where Tcl is installed.
#
set path [file split [info library]]
while {[llength $path]} {
    set incpath [eval file join $path include]
    if {[file isdirectory $incpath]} {
    	puts stderr "Found incpath: $incpath"
	break
    }
    set path [lreplace $path end end]
}
set TCL_PREFIX [eval file join $path]

array set subst {
    @CC@		cl
    @CFLAGS@		$(CFLAGSMT)
    @prefix@	/

    @TCL_SHLIB_LD@	{link -dll}
    @SHLIB_LD_OUT@	{/out:}

    @EXE_SUFFIX@	.exe
    @OBJ_SUFFIX@	.obj
    @EXTRA_DEBUG_FLAGS@	{}
    @DEFS@		{-DUSE_TCL_STUBS}

    @RESOURCE_FILE@	{cost.res}
}

set subst(@configure_input@) "Generated from [info script]"
set subst(@TCL_SHLIB_SUFFIX@) [info sharedlibextension]
set subst(@STUB_LIB_SPEC@) \
	[glob [file join $TCL_PREFIX lib tclstub*.lib]]

set subst(@SHLIB_TCL_LIB_SPEC@) {}

set subst(@TCL_PREFIX@) [eval file join $path]

set substVars [array get subst]
foreach file {Makefile expat/Makefile} {
	puts stderr "Writing $file..."
	set fpin  [open $file.in r]
	set fpout [open $file w]
	puts $fpout [string map $substVars [read $fpin]]
	close $fpin
	close $fpout
}

# *EOF*
